﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Meterman TMD90 (1 year) Type K VER RS-232 /9100
INSTRUMENT:            Sub Meterman TMD90 (1 year) Type J VER RS-232 /9100
INSTRUMENT:            Sub Meterman TMD90 (1 year) Type T VER RS-232 /9100
INSTRUMENT:            Sub Meterman TMD90 (1 year) Type R VER RS-232 /9100
INSTRUMENT:            Sub Meterman TMD90 (1 year) Type S VER RS-232 /9100
INSTRUMENT:            Sub Meterman TMD90 (1 year) Type E VER RS-232 /9100
DATE:                  2016-01-06 14:31:50
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       345
CONFIGURATION:         Datron 9100
=============================================================================
#
#  Procedure Author:
#        VY
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 9100 (1 year) specifications.
#
#        Type K Tests
#          500°C Range, 0°C; TUR 3.6842
#        Type K Tests
#          390°C Range, 23°C; TUR 3.8053
#        Type J Tests
#          500°C Range, 0°C; TUR 3.6842
#        Type J Tests
#          390°C Range, 23°C; TUR 3.8053
#        Type T Tests
#          390°C Range, -100°C; TUR 3.6364
#
#  Model(s) Covered:
#        Amprobe TMD90A, Meterman TMD90, Wavetek Meterman TMD90
#
#  Source:
#        Meterman TMD90 User Manual, PN 2099366, Copyright Sep 2003
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         TYPE_K                       PSUBI("Type K")
  1.002  JMPL         TYPE_J                       PSUBI("Type J")
  1.003  JMPL         TYPE_T                       PSUBI("Type T")
  1.004  JMPL         TYPE_R                       PSUBI("Type R")
  1.005  JMPL         TYPE_S                       PSUBI("Type S")
  1.006  JMPL         TYPE_E                       PSUBI("Type E")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment Test Number

# =====  Sub Meterman TMD90 (1 year) Type K VER RS-232 /9100  ================

  2.001  LABEL        TYPE_K
  2.002  RSLT         =
  2.003  HEAD         T[V @Input] INPUT: {TYPE K}
  2.004  MATH         @Type = "K"
  2.005  RSLT         =
  2.006  HEAD         -2{650 °C Range}
  2.007  TARGET       -p

  2.008  IF           @Input == "1"
  2.009  CALL         Sub Meterman TMD90 Select TC Type
# Close and reopen the RS-232 port to remove break condition generated by UUT
# when it is first turned on.
  2.010  PORT         [REOPEN]
  2.011  ENDIF

  2.012  CALL         Sub Meterman TMD90 TC Connection
  2.013  9100         0.0degC                                     _K TC S  2W
  2.014  WAIT         [D1500]
  2.015  TARGET       -m
  2.016  CALL         Sub Meterman TMD90 Get Reading RS-232
  2.017  MEMCX  650   0.0degC        0.1% 0.7U

  3.001  9100         23.0degC                                    _K TC S  2W
  3.002  WAIT         [D1500]
  3.003  TARGET       -m
  3.004  CALL         Sub Meterman TMD90 Get Reading RS-232
  3.005  MEMCX  650   23.0degC       0.1% 0.7U

  4.001  9100         -100.0degC                                  _K TC S  2W
  4.002  WAIT         [D1500]
  4.003  TARGET       -m
  4.004  CALL         Sub Meterman TMD90 Get Reading RS-232
  4.005  MEMCX  650   -100.0degC     0.1% 0.7U

  5.001  RSLT         =
  5.002  HEAD         -2{1370 °C Range}
  5.003  TARGET
  5.004  9100         990degC                                     _K TC S  2W
  5.005  WAIT         [D1500]
  5.006  TARGET       -m
  5.007  CALL         Sub Meterman TMD90 Get Reading RS-232
  5.008  MEMCX  1370  990degC        0.1% 0.7U

  6.001  9100         1200degC                                    _K TC S  2W
  6.002  WAIT         [D1500]
  6.003  TARGET       -m
  6.004  CALL         Sub Meterman TMD90 Get Reading RS-232
  6.005  MEMCX  1370  1200degC       0.1% 0.7U

  7.001  HEAD         -2
  7.002  HEAD
  7.003  9100         *                                                 S
  7.004  END

  7.005  EVAL   Increment Test Number

# =====  Sub Meterman TMD90 (1 year) Type J VER RS-232 /9100  ================

  8.001  LABEL        TYPE_J
  8.002  RSLT         =
  8.003  HEAD         T[V @Input] INPUT: {TYPE J}
  8.004  MATH         @Type = "J"
  8.005  RSLT         =
  8.006  HEAD         -2{500 °C Range}
  8.007  TARGET       -p

  8.008  IF           @Input == "1"
  8.009  CALL         Sub Meterman TMD90 Select TC Type
  8.010  PORT         [REOPEN]
  8.011  ENDIF

  8.012  CALL         Sub Meterman TMD90 TC Connection
  8.013  9100         0.0degC                                     _J TC S  2W
  8.014  WAIT         [D1500]
  8.015  TARGET       -m
  8.016  CALL         Sub Meterman TMD90 Get Reading RS-232
  8.017  MEMCX  500   0.0degC        0.1% 0.7U

  9.001  9100         23.0degC                                    _J TC S  2W
  9.002  WAIT         [D1500]
  9.003  TARGET       -m
  9.004  CALL         Sub Meterman TMD90 Get Reading RS-232
  9.005  MEMCX  500   23.0degC       0.1% 0.7U

 10.001  9100         -100.0degC                                  _J TC S  2W
 10.002  WAIT         [D1500]
 10.003  TARGET       -m
 10.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 10.005  MEMCX  500   -100.0degC     0.1% 0.7U

 11.001  RSLT         =
 11.002  HEAD         -2{750 °C Range}
 11.003  TARGET
 11.004  9100         740degC                                     _J TC S  2W
 11.005  WAIT         [D1500]
 11.006  TARGET       -m
 11.007  CALL         Sub Meterman TMD90 Get Reading RS-232
 11.008  MEMCX  750   740degC        0.1% 0.7U

 12.001  9100         *                                                 S
 12.002  END

 12.003  EVAL   Increment Test Number

# =====  Sub Meterman TMD90 (1 year) Type T VER RS-232 /9100  ================

 13.001  LABEL        TYPE_T
 13.002  RSLT         =
 13.003  HEAD         T[V @Input] INPUT: {TYPE T}
 13.004  MATH         @Type = "T"
 13.005  RSLT         =
 13.006  HEAD         -2{390 °C Range}
 13.007  TARGET       -p

 13.008  IF           @Input == "1"
 13.009  CALL         Sub Meterman TMD90 Select TC Type
 13.010  PORT         [REOPEN]
 13.011  ENDIF

 13.012  CALL         Sub Meterman TMD90 TC Connection
 13.013  9100         0.0degC                                     _T TC S  2W
 13.014  WAIT         [D1500]
 13.015  TARGET       -m
 13.016  CALL         Sub Meterman TMD90 Get Reading RS-232
 13.017  MEMCX  390   0.0degC        0.1% 0.7U

 14.001  9100         23.0degC                                    _T TC S  2W
 14.002  WAIT         [D1500]
 14.003  TARGET       -m
 14.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 14.005  MEMCX  390   23.0degC       0.1% 0.7U

 15.001  9100         -100.0degC                                  _T TC S  2W
 15.002  WAIT         [D1500]
 15.003  TARGET       -m
 15.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 15.005  MEMCX  390   -100.0degC     0.1% 0.7U

 16.001  9100         380.0degC                                   _T TC S  2W
 16.002  WAIT         [D1500]
 16.003  TARGET       -m
 16.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 16.005  MEMCX  390   380.0degC      0.1% 0.7U

 17.001  9100         *                                                 S
 17.002  END

 17.003  EVAL   Increment Test Number

# =====  Sub Meterman TMD90 (1 year) Type R VER RS-232 /9100  ================

 18.001  LABEL        TYPE_R
 18.002  RSLT         =
 18.003  HEAD         T[V @Input] INPUT: {TYPE R}
 18.004  MATH         @Type = "R"
 18.005  RSLT         =
 18.006  HEAD         -2{1000 °C Range}
 18.007  TARGET       -p

 18.008  IF           @Input == "1"
 18.009  CALL         Sub Meterman TMD90 Select TC Type
 18.010  PORT         [REOPEN]
 18.011  ENDIF

 18.012  CALL         Sub Meterman TMD90 TC Connection
 18.013  9100         990.0degC                                   _R TC S  2W
 18.014  WAIT         [D1500]
 18.015  TARGET       -m
 18.016  CALL         Sub Meterman TMD90 Get Reading RS-232
 18.017  MEMCX  1000  990.0degC      0.3% 0.7U

 19.001  RSLT         =
 19.002  HEAD         -2{1760 °C Range}
 19.003  TARGET
 19.004  9100         1200degC                                    _R TC S  2W
 19.005  WAIT         [D1500]
 19.006  TARGET       -m
 19.007  CALL         Sub Meterman TMD90 Get Reading RS-232
 19.008  MEMCX  1760  1200degC       0.3% 0.7U

 20.001  9100         1750degC                                    _R TC S  2W
 20.002  WAIT         [D1500]
 20.003  TARGET       -m
 20.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 20.005  MEMCX  1760  1750degC       0.3% 0.7U

 21.001  9100         *                                                 S
 21.002  END

 21.003  EVAL   Increment Test Number

# =====  Sub Meterman TMD90 (1 year) Type S VER RS-232 /9100  ================

 22.001  LABEL        TYPE_S
 22.002  RSLT         =
 22.003  HEAD         T[V @Input] INPUT: {TYPE S}
 22.004  MATH         @Type = "S"
 22.005  RSLT         =
 22.006  HEAD         -2{1000 °C Range}
 22.007  TARGET       -p

 22.008  IF           @Input == "1"
 22.009  CALL         Sub Meterman TMD90 Select TC Type
 22.010  PORT         [REOPEN]
 22.011  ENDIF

 22.012  CALL         Sub Meterman TMD90 TC Connection
 22.013  9100         990.0degC                                   _S TC S  2W
 22.014  WAIT         [D1500]
 22.015  TARGET       -m
 22.016  CALL         Sub Meterman TMD90 Get Reading RS-232
 22.017  MEMCX  1000  990.0degC      0.3% 0.7U

 23.001  RSLT         =
 23.002  HEAD         -2{1760 °C Range}
 23.003  TARGET
 23.004  9100         1200degC                                    _S TC S  2W
 23.005  WAIT         [D1500]
 23.006  TARGET       -m
 23.007  CALL         Sub Meterman TMD90 Get Reading RS-232
 23.008  MEMCX  1760  1200degC       0.3% 0.7U

 24.001  9100         1750degC                                    _S TC S  2W
 24.002  WAIT         [D1500]
 24.003  TARGET       -m
 24.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 24.005  MEMCX  1760  1750degC       0.3% 0.7U

 25.001  9100         *                                                 S
 25.002  END

 25.003  EVAL   Increment Test Number

# =====  Sub Meterman TMD90 (1 year) Type E VER RS-232 /9100  ================

 26.001  LABEL        TYPE_E
 26.002  RSLT         =
 26.003  HEAD         T[V @Input] INPUT: {TYPE E}
 26.004  MATH         @Type = "E"
 26.005  RSLT         =
 26.006  HEAD         -2{380 °C Range}
 26.007  TARGET       -p

 26.008  IF           @Input == "1"
 26.009  CALL         Sub Meterman TMD90 Select TC Type
 26.010  PORT         [REOPEN]
 26.011  ENDIF

 26.012  CALL         Sub Meterman TMD90 TC Connection
 26.013  9100         0.0degC                                     _E TC S  2W
 26.014  WAIT         [D1500]
 26.015  TARGET       -m
 26.016  CALL         Sub Meterman TMD90 Get Reading RS-232
 26.017  MEMCX  380   0.0degC        0.3% 0.7U

 27.001  9100         23.0degC                                    _E TC S  2W
 27.002  WAIT         [D1500]
 27.003  TARGET       -m
 27.004  CALL         Sub Meterman TMD90 Get Reading RS-232
 27.005  MEMCX  380   23.0degC       0.3% 0.7U

 28.001  RSLT         =
 28.002  HEAD         -2{736 °C Range}
 28.003  TARGET
 28.004  9100         720degC                                     _E TC S  2W
 28.005  WAIT         [D1500]
 28.006  TARGET       -m
 28.007  CALL         Sub Meterman TMD90 Get Reading RS-232
 28.008  MEMCX  736   720degC        0.3% 0.7U

 29.001  HEAD         -2
 29.002  HEAD
 29.003  9100         *                                                 S
 29.004  END
